Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## freenet.support.CPUInformation
Class CPUID

    java.lang.Object
      freenet.support.CPUInformation.CPUID

    public class CPUID

extends Object

Author:
  Iakin A class for retrieveing details about the CPU using the CPUID assembly instruction. A good resource for information about the CPUID instruction can be found here: http://www.paradicesoftware.com/specs/cpuid/index.htm free (adj.): unencumbered; not under the control of others Written by Iakin in 2004 and released into the public domain with no warranty of any kind, either expressed or implied. It probably won't make your computer catch on fire, or eat your children, but it might. Use at your own risk.

Nested Class Summary
`protected static class` | `CPUID.AMDInfoImpl`
`protected static class` | `CPUID.CPUIDCPUInfo`
`protected static class` | `CPUID.CPUIDResult`
`protected static class` | `CPUID.IntelInfoImpl`
`protected static class` | `CPUID.VIAC3Impl`

Constructor Summary
`CPUID()`

Method Summary
`static CPUInfo` | `getInfo()`
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CPUID

    public CPUID()

Method Detail

### getInfo

    public static CPUInfo getInfo()
                           throws UnknownCPUException

  Throws:
    `UnknownCPUException`

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD